/*
 * Copyright 2010, cluster:Systems CSG GmbH
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package net.sourceforge.mailprobe.util;

import java.util.Date;

/**
 *
 * @author Thomas Tesche <thomas.tesche@clustersystems.de>
 */
public class ExecStats {

  private boolean success;
  private boolean innerTimeoutOccured;
  private Date startDate;
  private Date endDate;

  public ExecStats(Date startDate) {
    this.success = false;
    this.innerTimeoutOccured=false;
    this.startDate = startDate;
  }

  /**
   * @return the success
   */
  public boolean isSuccess() {
    return success;
  }

  /**
   * @param success the success to set
   */
  public void setSuccess(boolean success) {
    this.success = success;
  }

  /**
   * @return the startDate
   */
  public Date getStartDate() {
    return startDate;
  }

  /**
   * @param startDate the startDate to set
   */
  public void setStartDate(Date startDate) {
    this.startDate = startDate;
  }

  /**
   * @return the endDate
   */
  public Date getEndDate() {
    return endDate;
  }

  /**
   * @param endDate the endDate to set
   */
  public void setEndDate(Date endDate) {
    this.endDate = endDate;
  }

  /**
   * @return the innerTimeoutOccured
   */
  public boolean isInnerTimeoutOccured() {
    return innerTimeoutOccured;
  }

  /**
   * @param innerTimeoutOccured the innerTimeoutOccured to set
   */
  public void setInnerTimeoutOccured(boolean innerTimeoutOccured) {
    this.innerTimeoutOccured = innerTimeoutOccured;
  }
}
